.. _ogrgeometry_cpp:

================================================================================
OGRGeometry C++ API
================================================================================

Include file: ogr_geometry.h

OGRGeometryFactory class
------------------------

.. doxygenclass:: OGRGeometryFactory
   :project: api
   :members:

OGRGeometry class
-----------------

.. doxygenclass:: OGRGeometry
   :project: api
   :members:

OGRPoint class
--------------

.. doxygenclass:: OGRPoint
   :project: api
   :members:

OGRLineString class
-------------------

.. doxygenclass:: OGRLineString
   :project: api
   :members:

OGRLinearRing class
-------------------

.. doxygenclass:: OGRLinearRing
   :project: api
   :members:

OGRCircularString class
-----------------------

.. doxygenclass:: OGRCircularString
   :project: api
   :members:

OGRCurve class
--------------

.. doxygenclass:: OGRCurve
   :project: api
   :members:

OGRSurface class
----------------

.. doxygenclass:: OGRSurface
   :project: api
   :members:

OGRPolygon class
----------------

.. doxygenclass:: OGRPolygon
   :project: api
   :members:

OGRCurvePolygon class
---------------------

.. doxygenclass:: OGRCurvePolygon
   :project: api
   :members:

OGRMultiPoint class
-------------------

.. doxygenclass:: OGRMultiPoint
   :project: api
   :members:

OGRMultiLineString class
------------------------

.. doxygenclass:: OGRMultiLineString
   :project: api
   :members:

OGRMultiPolygon class
---------------------

.. doxygenclass:: OGRMultiPolygon
   :project: api
   :members:

OGRGeometryCollection class
---------------------------

.. doxygenclass:: OGRGeometryCollection
   :project: api
   :members:

OGRMultiCurve class
-------------------

.. doxygenclass:: OGRMultiCurve
   :project: api
   :members:

OGRMultiSurface class
---------------------

.. doxygenclass:: OGRMultiSurface
   :project: api
   :members:

OGRPolyhedralSurface class
--------------------------

.. doxygenclass:: OGRPolyhedralSurface
   :project: api
   :members:

OGRTriangle class
-----------------

.. doxygenclass:: OGRTriangle
   :project: api
   :members:

OGRTriangulatedSurface class
----------------------------

.. doxygenclass:: OGRTriangulatedSurface
   :project: api
   :members:
